@echo off
cls
echo.
echo               D O O M   I I   P A R T I A L   C O N V E R S I O N
echo     °±°°  °± °±°°° °±    °±     °°°± °°°°°  °± °°°°  °°°°°° °°°°   °°°°°°
echo     °±°°  °± °±    °±    °±     °±   °±   ² °± °±    °±  °± °±  °° °±
echo    °± °° °±  °±²°  °±    °±     °±    °±²±  °±  °±²± °±  °± °±   °± °±
echo    °± °° °± °±    °±  °  °±     °±²°° °±     °±   °±  °²  °± °±  °± °°±²°
echo   °±  °° °± °±    °± °±° °±     °±    °±     °±   °±  °±  °± °± °±   °±
echo   °±  °°°±  °±²°° °±²± °°°±  ÛÛ °±²°ÛÛ°±ÛÛ   °± °°±²  °°°°±² °±²     °±°°°
echo                               ÛÛ   ÛÛ   ÛÛ
echo                                ²² ²²    ²²     E N H A N C E D
echo                                 ±±±     ±±
echo                                  ±      ±±
echo.
pause
echo No warranties!
echo I'm not responsible if this patch causes harm. Use at your own risk!
echo BTW, this doesn't work properly if you aren't installed "Doom3"
echo ("Doom Legacy" for a while) onto your Doom2. See New Episode 6
echo documentation for more info.
echo.
pause
echo.
: CHOICES
echo.
echo Choose one option:
echo 1. Install New Episode 6 Enhanced
echo 2. Take backup of DOOM2.WAD (requires at least ~15 MB)
echo 3. Return to OS
choice /c123
if errorlevel 3 goto END
if errorlevel 2 goto BACKUP
if errorlevel 1 goto INSTALL
: BACKUP
copy doom2.wad doom2wad.bak
echo DOOM2.WAD backup is saved to DOOM2WAD.BAK
: INSTALL
echo Starting Installation...
deusf -add nep6spr.wad sprites.wad
pkunzip nep6data.dat
del nep6spr.wad
echo.
echo Done! Run START.BAT to start the game!
